> ## Documentation Index
> Fetch the complete documentation index at: https://foreverbetter.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify email OTP

> Verify an emailed one-time code and return an access token scoped to that user.



## OpenAPI

````yaml https://api.foreverbetter.xyz/openapi.json post /auth/otp/verify
openapi: 3.1.0
info:
  title: ForeverBetter API
  version: 0.4.8
  description: >-
    ForeverBetter API and MCP-compatible service for genetics, biomarkers,
    wearables, lab locator handoffs, and dashboard specs.
servers:
  - url: https://api.foreverbetter.xyz
security:
  - bearerAuth: []
paths:
  /auth/otp/verify:
    post:
      summary: Verify email OTP
      description: >-
        Verify an emailed one-time code and return an access token scoped to
        that user.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
                - token
              additionalProperties: false
              properties:
                email:
                  type: string
                  format: email
                  description: Email address the code was sent to.
                token:
                  type: string
                  description: The 8-digit code from the sign-in email.
                type:
                  type: string
                  enum:
                    - email
                    - signup
                    - recovery
                    - invite
                    - magiclink
                  default: email
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````